# $Revision: 1.17 $, $Date: 2010/08/20 20:04:24 $
# NOTE: beta versions are versioned with just new version number,
#       so check URL for final releases
Summary:	Utility that uses sysfs to list SCSI devices and SCSI hosts
Summary(pl.UTF-8):	Narzędzie używające sysfs-a do wypisywania urządzeń i hostów SCSI
Name:		lsscsi
Version:	0.23
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://sg.danny.cz/scsi/%{name}-%{version}.tgz
# Source0-md5:	de3e51358ddf046a139483196106c1ac
URL:		http://sg.danny.cz/scsi/lsscsi.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lsscsi command accesses the sysfs file system (usually mounted
under /sys ) to obtain information rather than opening the SCSI device
nodes (e.g. /dev/sda) in the system. Reading information within the
sysfs file system is usually available to all users (as is the
information in procfs). However the permissions on SCSI device nodes
are necessarily tight which precludes normal users from directly
interrogating these devices. The lsscsi command will typically be
available to all users.

%description -l pl.UTF-8
Polecenie lsscsi w celu uzyskania informacji odczytuje system plików
sysfs (zwykle podmontowany pod /sys) zamiast otwierania plików
urządzeń SCSI (np. /dev/sda) w systemie. Odczyt informacji z systemu
plików sysfs jest zwykle dostępny dla wszystkich użytkowników
(podobnie jak informacje w procfs). Jednak uprawnienia do plików
urządzeń SCSI muszą być ograniczone, aby nie pozwolić na bezpośredni
dostęp przez użytkowników do tych urządzeń. Polecenie lsscsi zwykle
jest dostępne dla wszystkich użytkowników.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%attr(755,root,root) %{_bindir}/lsscsi
%{_mandir}/man8/lsscsi.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lsscsi.spec,v $
Revision 1.17  2010/08/20 20:04:24  qboosh
- updated to 0.23

Revision 1.16  2009/04/16 21:12:36  glen
- release 2

Revision 1.15  2009/02/09 22:06:33  hawk
- uptade to 0.22

Revision 1.14  2008/10/01 22:11:42  qboosh
- updated URL

Revision 1.13  2008/08/27 17:59:34  qboosh
- beta comment

Revision 1.12  2008/07/10 16:57:40  qboosh
- updated to 0.21 release (more changes for Linux 2.6.26)

Revision 1.11  2008/07/10 07:51:51  glen
- release 2

Revision 1.10  2008/07/09 22:54:38  qboosh
- updated to 0.20 release (ready for Linux 2.6.25/2.6.26)

Revision 1.9  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.7  2007/01/26 08:04:19  qboosh
- updated to 0.19

Revision 1.6  2006/11/23 18:01:59  qboosh
- now it's 0.18 release (no changes since 20060324 beta)

Revision 1.5  2006/04/23 17:15:47  pluto
- beta release.

Revision 1.4  2006/04/23 09:00:35  pluto
- updated to 0.18.

Revision 1.3  2006/02/27 21:14:38  qboosh
- updated to 0.17

Revision 1.2  2006/01/08 23:38:49  qboosh
- pl

Revision 1.1  2005/12/30 14:05:18  pluto
- simple utility to list scsi devices and hosts.
